uniform sampler2D Texture0;
uniform sampler2D Texture1;
uniform vec2 lightPos;

varying vec2 Texcoord;


void main(void)
{
    vec2 dir = Texcoord - lightPos;
    vec2 uv = Texcoord - dir * 0.03;
    vec4 shadow = texture2D(Texture1, uv) + 0.4;
    vec4 bg = texture2D( Texture0, Texcoord );
    gl_FragColor = bg * shadow;
}